#!/usr/bin/perl

# namazu indexer perl version for hns
# version 0.0.1
# 2001/3/3  Kenji Suzuki <kenji@h14m.org>

# Copyright (C) 2001  Kenji Suzuki, HyperNikkiSystem Project

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# $Id: hns-index2.pl,v 1.1 2001/03/03 14:33:55 kenji Exp $

my $version="perl version 0.0.1(Namazu for hns 2.0-pl4)";

my $diaryDir="/home/kenji/diary";
my $indexDir="$diaryDir/namazu2/index";
my $tmpindexDir="$indexDir/tmp";
my $mknmz="/usr/local/namazu2/bin/mknmz";
my $gcnmz="/usr/local/namazu2/bin/gcnmz";

#my $LANG="ja";

my $arg = @ARGV[0];

if ($arg eq "-h") {
    print "hns-index2 $version\n";
    print "$0       --- append index\n";
#    print "$0 clean --- making index from scratch\n";
    print "$0 -gc   --- gabage collection of index file\n";
    print "$0 -v    --- show version\n";
    print "$0 -h    --- show this help\n";
    exit;
}
if ($arg eq "-v") {
    print "hns-index2 $version\n";
    exit;
}
if ($arg eq "-gc") {
    system ("$gcnmz $indexDir");
    exit;
}
if ($arg eq "clean") {
    print "clean opion has not yet implimented.\n";
    exit;

    mkdir "$tmpindexDir.$$", 0755;

    system ("$mknmz --include=$diaryDir/namazu2/etc/mknmzrc --media-type=text/hnf --template-dir=$diaryDir/namazu2/template --output-dir=$indexDir.$$ $diaryDir"); 

    rename ("$indexDir/NMZ.slog", "$indexDir/MNZ.slog.bk");
    #mv "$tmpindexDir.$$/NMZ.*" "$indexDir"
    rename ("$indexDir/MNZ.slog.bk", "$indexDir/NMZ.slog");

    my @list = glob "$indexDir.$$/*";
    unlink @list;
    rmdir "$indexDir.$$";

    exit;
}
if ($arg eq "-d") {
    system ("$mknmz --include=$diaryDir/namazu2/etc/mknmzrc --debug --media-type=text/hnf --template-dir=$diaryDir/namazu2/template --output-dir=$indexDir $diaryDir");
    exit;
}
else {
    system ("$mknmz --include=$diaryDir/namazu2/etc/mknmzrc --media-type=text/hnf --template-dir=$diaryDir/namazu2/template --output-dir=$indexDir $diaryDir");
}


